> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Call Events Registration

> Update an existing Call Events webhook handler.



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs patch /realtime/v1/webhook/call/{id}
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/webhook/call/{id}:
    patch:
      tags:
        - Webhook Registration
      summary: Update Call Events Registration
      description: Update an existing Call Events webhook handler.
      operationId: updateCallWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRegistrationRequest'
        required: true
      responses:
        '200':
          description: Webhook patched successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookRegistrationResponse'
        '400':
          description: Invalid registration request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookRegistrationResponse'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookRegistrationResponse'
        '404':
          description: Webhook not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookRegistrationResponse'
components:
  schemas:
    WebhookRegistrationRequest:
      type: object
      description: Information needed to register a webhook handler.
      properties:
        event_type:
          type: string
          description: >-
            Events to register for. Pipe delimited list, single value, or * for
            all events.
        auth_token:
          type: string
          description: >-
            AuthToken that will be sent to the handler with all payloads in the
            HTTP Authorization header.
        target_url:
          type: string
          description: URL to send the AuthToken and payload to for matching events.
    WebhookRegistrationResponse:
      type: object
      description: Result of attempted webhook registration.
      properties:
        webhook_id:
          type: string
          description: Unique ID for this webhook registration.
        error:
          type: boolean
          description: True if the registration failed, false otherwise.
        error_message:
          type: string
          description: Details about registration failure, or empty if no error.

````